WordPress: «Fallo al actualizar» y «No tienes permisos para visualizar borradores»

Recientemente he migrado de proveedor de hosting de WordPress siete blogs de manera correcta, excepto en uno que me daban los errores «Fallo al actualizar» cuando intentaba actualizar cualquier entrada y «No tienes permisos para visualizar borradores» cuando intentaba visualizar la vista previa de cualquier entrada que tenía programada.

Wordpress - Fallo al actualizar
Wordpress - No tienes permisos para visualizar

Además, tampoco podía ver las categorías de las entradas.

Curiosamente, en diferentes foros había leído que era culpa del editor Gutemberg de WordPress 5 y que si instalaba el plugin del editor clásico se resolvían estos problemas. Lo probé y pude crear una entrada nueva en mi blog pero seguía sin poder visualizar los borradores.

Así que he seguido tirando del hilo hasta encontrar la solución.

Solución definitiva

Cuando estás migrando un blog, inicialmente, no instalas el certificado SSL. Es algo que se suele hacer cuando lo compras o lo instalas. Esto significa que en la consola de administración tienes que modificar la URL de acceso de WordPress por httpS cuando ya has instalado el certificado.

Wordpress - Ajustes Generales - Dirección de URL

Lo que me ocurría a mi, es que estaba accediendo a la consola de administración por https pero a WordPress todavía le constaba que la URL correcta era por http. Cuando lo cambié, los problemas se solucionaron.

¿Te ha gustado? ¡Compártelo!

Share on facebook
Share on twitter
Share on linkedin
Share on whatsapp
Share on telegram
Share on email

1 comentario en “WordPress: «Fallo al actualizar» y «No tienes permisos para visualizar borradores»”

  1. Yeah!! Funcionó, gracias!

    Mi problema ocurrió cuando hice un respaldo de la base de datos, me empezó a aparecer el error 404 en las páginas y cuando trataba de ver la vista previa de la página me decía:

    «Lo siento, no tienes permisos para previsualizar borradores.»

    Aun y cuando la página no era un borrador.

    Responder

Deja un comentario

Tal vez también te gustaría leer...

WordPress me pide un usuario FTP para instalar plugins

En un sitio nuevo de WordPress que estaba configurando, me he encontrado con que para instalar plugins me pedía un usuario FTP pero, realmente, esto no es necesario. Para desactivar esta opción hay que hacer dos cosas: Rebajas Logitech B100 – Ratón óptico, color negro 4,99 EUR Comprar en Amazon Rebajas Logitech G203 Prodigy, Ratón

Leer más »

Los enlaces en WordPress aparecen tachados

Recientemente estaba intentando añadir un enlace a mi cuenta de Linkedin pero éste aparecía tachado cuando la URL cargaba correctamente. Rebajas HP 22w – Monitor 21.5″ (Full HD, 1920 x 1080… 89,90 EUR Comprar en Amazon Rebajas Samsung LC24F390FHU – Monitor para PC Desktop de… 132,00 EUR Comprar en Amazon Rebajas BenQ GW2470HL – Monitor

Leer más »